<?php
use \chatbro\traits\StoreLoader;
use \chatbro\traits\LibraryLoader;

class ControllerExtensionModuleChatbro extends Controller
{
    use StoreLoader;
    use LibraryLoader;

    private $store_id = 0;

    public function __construct($registry)
    {
        parent::__construct($registry);

        if (getenv("CHATBRO_STORE_ID")) {
            $this->store_id = (int) getenv("CHATBRO_STORE_ID");
        } else {
            $this->store_id = (int) $this->config->get('config_store_id');
        }

        $this->loadStore($this->store_id);
        $this->loadLibrary($this->store_id);
    }

    protected function initChatbro()
    {
        $this->chatbroapp->init();
    }

    public function display_chats(&$route, &$data, &$output): void
    {
        $this->initChatbro();
        $snippet = $this->chatbroapp->displayChats();
        $output = str_replace('</head>', $snippet . '</head>', $output);
    }

    public function init_shortcodes(&$route, &$data, &$output): void
    {
        $this->initChatbro();
        $data['chatbro'] = $this->chatbroapp->getShortcodeInstance();
    }
}