<?php

namespace chatbro\chatbroapp\backends;

use \chatbro\chatbroapp\interfaces\IcbroUserBackend;
use \chatbro\chatbroapp\settings\CbroSettings;
use \chatbro\chatbroapp\common\CbroCommon;

class CbroUserBackend implements IcbroUserBackend
{
  private $customer;
  private $cms;

  public function __construct($cms)
  {
    $this->cms = $cms;
    
    if (class_exists('ControllerCustomerCustomer') && $this->is_logged_in()) {
      $cms->load->model('customer/customer');
      $this->customer = $cms->model_account_customer->getCustomer($cms->customer->getId());
    }

    $this->customer = array();
  }

  function is_logged_in()
  {
    return CbroCommon::is_logged_in();
  }

  function is_admin()
  {
    return FALSE;
  }

  function avatar_url()
  {
    return "";
  }

  function profile_url()
  {
    return "";
  }

  function id()
  {
    return $this->is_logged_in() ? $this->cms->customer->getId() : null;
  }

  function display_name()
  {
    return $this->is_logged_in() ? ($this->cms->customer->getFirstName() . ' ' . $this->cms->customer->getLastName()) : null;
  }

  function full_name()
  {
    return $this->is_logged_in() ? ($this->cms->customer->getFirstName() . ' ' . $this->cms->customer->getLastName()) : null;
  }
}